<parameters>

<!--  Parameters for initial retrieval  -->

<!--  Retrieval model (for initial retrieval) selection  -->
<!--   0   TFIDF  1   Okapi  2   KL-divergence  -->
<retModel>2</retModel>
<!--  Basic retrieval parameters  -->
<!--  database index  -->
<index>data/indexes/index.key</index>
<!--  query text stream  -->
<textQuery>data/queries/trec_ap_fixed_stemmed.txt</textQuery>
<!--  result file  -->
<resultFile>plm/results/result</resultFile>
<!--  how many docs to return as the result  -->
<resultCount>1000</resultCount>
<!--  0   simple-format  1   TREC-format  -->
<resultFormat>1</resultFormat>
<!--  this is not needed by Okapi or TFIDF, but by SimpleKL  -->
<!--  interpolation rather than backoff, 0 interpolate, 1 backoff  -->
<smoothStrategy>0</smoothStrategy>
<!--  Jelinek-Mercer   0  Bayesian/Dirichlet prior  1  Abs. Discount  2   -->
<smoothMethod>1</smoothMethod>
<DirichletPrior>1000</DirichletPrior>



<!--  Parameters for the Positional Language Model (PLM) begin  -->

<!--  Number of documents to be ranked using PLM  -->
<RerankedDocCount>2000</RerankedDocCount>

<!--  Size of the "soft" passage (sigma)  -->
<PLMSigma>175</PLMSigma>

<!-- Propagation function: -1 Passage; 0 Gaussian; 1: Cosine; 2: Triangle; 3: Arc; 4: Circle-->
<PropFunction>0</PropFunction>

<!--  Jelinek-Mercer Smoothing 0; Dirichlet prior Smoothing 1  -->
<PLMSmoothMethod>1</PLMSmoothMethod>
<PLMJMLambda>0.5</PLMJMLambda>
<PLMDirPrior>500</PLMDirPrior>

<!--  The weight of PLM if we interpolate PLM with the original relevance score  -->
<PLMCoefficient>1.0</PLMCoefficient>

<!--  1: do not use PLM for single-term query; 0: otherwise -->
<IgnoreSingleTermQuery>0</IgnoreSingleTermQuery>

<!--  Parameters for the Positional Language Model (PLM) end  -->


<!--  Pseudo feedback parameters  -->

<feedbackDocCount>0</feedbackDocCount>
<feedbackTermCount>20</feedbackTermCount>

<!--  0 mixture  1 div-min  2 markov chain?  -->
<queryUpdateMethod>0</queryUpdateMethod>
<feedbackCoefficient>0.0</feedbackCoefficient>
<feedbackProbThresh>0.001</feedbackProbThresh>
<feedbackProbSumThresh>1</feedbackProbSumThresh>
<feedbackMixtureNoise>0.5</feedbackMixtureNoise>
<emIterations>50</emIterations>

<OrderWindowSize>5</OrderWindowSize>
<weightedPLM>1</weightedPLM>
<coeff>1.0</coeff>
</parameters>